local dvotdefault=((GetScreenWidth())/4)

-- DVObjectiveTrackerFrame
local dvotframe=CreateFrame("Frame", "dvotframe", UIParent)
	dvotframe:SetFrameStrata("LOW")
	dvotframe:SetClampedToScreen(1)
	dvotframe:SetPoint("RIGHT", UIParent, "RIGHT", 0, dvotdefault)
	dvotframe:SetMovable(1)
	dvotframe:EnableMouse(1)
	dvotframe:RegisterForDrag("RightButton")
	dvotframe:SetWidth(275)
	dvotframe:SetHeight(23)

-- Register the events to listen for:
	dvotframe:RegisterEvent("PLAYER_LOGIN")
	dvotframe:RegisterEvent("PLAYER_ENTERING_WORLD")
	dvotframe:RegisterEvent("ADDON_LOADED")
	dvotframe:RegisterEvent("PET_BATTLE_OVER")
	dvotframe:RegisterEvent("CINEMATIC_STOP")
	dvotframe:RegisterEvent("UPDATE_INSTANCE_INFO")
	dvotframe:RegisterEvent("QUEST_LOG_UPDATE")
	dvotframe:RegisterEvent("PLAYER_REGEN_ENABLED")
	dvotframe:RegisterEvent("PLAYER_REGEN_DISABLED")
	
	dvotframe:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvotframe:StartMoving() 
		end 
	end)
	dvotframe:SetScript("OnDragStop", function(self) 	
	dvotframe:StopMovingOrSizing() 
	end)

local t=dvotframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvotframe)
	t:SetTexture("Interface\\DialogDVframe\\UI-DialogBox-Background")
	
local function showDV(self)
	dvotframe:SetAlpha(1)
end
     
local function hideDV(self)
	dvotframe:SetAlpha(0)
end

	dvotframe:HookScript("OnEnter", showDV)
	dvotframe:HookScript("OnLeave", hideDV)
	dvotframe:SetAlpha(0)
		
-- Set the function to be run when the frame receives an event it's listening for:
	dvotframe:SetScript("OnEvent", function(self, event, ...)

-- Objective Tracker
	MinimapCluster:SetFrameStrata("BACKGROUND")
	ObjectiveTrackerFrame:SetClampedToScreen(1)
	ObjectiveTrackerFrame:SetMovable(1)
	ObjectiveTrackerFrame:EnableMouse(1)
	ObjectiveTrackerFrame:RegisterForDrag("RightButton")
	ObjectiveTrackerFrame:SetPoint("TOPRIGHT", dvotframe, "TOPRIGHT", 0, 0)
end)