 DejaView = {};
 DejaView.panel = CreateFrame( "Frame", "DejaViewPanel", UIParent );
 -- Register in the Interface Addon Options GUI
 -- Set the name for the Category for the Options Panel
 DejaView.panel.name = "DejaView";
 -- Add the panel to the Interface Options
 InterfaceOptions_AddCategory(DejaView.panel);
 
 -- Make a child panel
 DejaView.childpanel = CreateFrame( "Frame", "DejaViewChild", DejaView.panel);
 DejaView.childpanel.name = "MyChild";
 -- Specify childness of this panel (this puts it under the little red [+], instead of giving it a normal AddOn category)
 DejaView.childpanel.parent = DejaView.panel.name;
 -- Add the child to the Interface Options
 InterfaceOptions_AddCategory(DejaView.childpanel);
 
--Panel Title
local dvtitle=CreateFrame("Frame", "dvtitle", DejaViewPanel)
	dvtitle:SetPoint("TOPLEFT", 5, -5)
	dvtitle:SetScale(2.0)
	dvtitle:SetWidth(150)
	dvtitle:SetHeight(50)
	dvtitle:Show()

local dvtitleFS = dvtitle:CreateFontString(nil, "OVERLAY", "GameFontNormal")
	dvtitleFS:SetText('DejaView')
	dvtitleFS:SetPoint("TOPLEFT", 0, 0)
	dvtitleFS:SetFont("Fonts\\FRIZQT__.TTF", 10, "THINOUTLINE")


local dvlockcheck = CreateFrame("CheckButton", "DejaViewLockAll", DejaViewPanel, "InterfaceOptionsCheckButtonTemplate")
	dvlockcheck:ClearAllPoints()
	dvlockcheck:SetPoint("TOPLEFT", 25, -50)
	dvlockcheck:SetScale(1.25)
	_G[dvlockcheck:GetName() .. "Text"]:SetText("Lock all frames")
	
local dvresetcheck = CreateFrame("Button", "DVResetButton", DejaViewPanel, "UIPanelButtonTemplate")
	dvresetcheck:ClearAllPoints()
	dvresetcheck:SetPoint("BOTTOMLEFT", 5, 5)
	dvresetcheck:SetScale(1.25)
	dvresetcheck:SetWidth(125)
	dvresetcheck:SetHeight(30)
	_G[dvresetcheck:GetName() .. "Text"]:SetText("Reset DejaView")
	dvresetcheck:HookScript("OnClick", ReloadUI)