-- DV Buff Frame
	MinimapCluster:SetFrameStrata("BACKGROUND")

local dvb = CreateFrame("Frame", "DVBFrame")
	dvb:SetClampedToScreen(true)
	dvb:SetFrameStrata("LOW")
	dvb:SetMovable(true)
	dvb:EnableMouse(true)
	dvb:RegisterForDrag("RightButton")
	dvb:SetPoint("TOPRIGHT", UIPARENT, "TOPRIGHT", posX, posX)
	dvb:SetWidth(110)
	dvb:SetHeight(22)

	dvb:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvb:StartMoving() 
		end 
	end) 
	dvb:SetScript("OnDragStop", function(self) 
		dvb:StopMovingOrSizing() 
	end)

local t=dvb:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvb)
	t:SetTexture(0, 0, 0, 0.7)
	t:SetAlpha(1)
	
local function showDVDB(self)
	dvb:SetAlpha(1)
end
     
local function hideDVDB(self)
	dvb:SetAlpha(0)
end
	dvb:HookScript("OnEnter", showDVDB)
	dvb:HookScript("OnLeave", hideDVDB)
	dvb:SetAlpha(0)
		
	BuffFrame:SetPoint("TOPRIGHT", dvb, "TOPRIGHT")
	
-- DV Debuff Frame
local dvdbframe=CreateFrame("Frame", "dvdbframe", UIParent)
	dvdbframe:SetFrameStrata("LOW")
	dvdbframe:SetClampedToScreen(true)
	dvdbframe:SetPoint("BOTTOMRIGHT", UIPARENT, "CENTER", -157, 40)
	dvdbframe:SetMovable(true)
	dvdbframe:EnableMouse(true)
	dvdbframe:RegisterForDrag("RightButton")
	dvdbframe:SetWidth(160)
	dvdbframe:SetHeight(31)

	dvdbframe:RegisterEvent("PLAYER_LOGIN")
	dvdbframe:RegisterEvent("PLAYER_ENTERING_WORLD")
	dvdbframe:RegisterEvent("ADDON_LOADED")
	dvdbframe:RegisterEvent("PET_BATTLE_OVER")
	dvdbframe:RegisterEvent("UNIT_AURA")

	dvdbframe:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvdbframe:StartMoving() 
		end 
	end)
	dvdbframe:SetScript("OnDragStop", function(self) 	
		dvdbframe:StopMovingOrSizing() 
	end)

local t=dvdbframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvdbframe)
	t:SetTexture(0, 0, 0, 0.7)
	
local function showDVDB(self)
	dvdbframe:SetAlpha(1)
end
     
local function hideDVDB(self)
	dvdbframe:SetAlpha(0)
end

	dvdbframe:HookScript("OnEnter", showDVDB)
	dvdbframe:HookScript("OnLeave", hideDVDB)
	dvdbframe:SetAlpha(0)

--Move Debuffs
local function movedb(frame,anchorPoint,relativeTo,relativePoint,xoff,yoff)
	frame:ClearAllPoints()
	frame:SetPoint(anchorPoint,relativeTo,relativePoint,xoff,yoff)
end

local function eventHandler(self, event, ...)
	for _,bar in pairs({"DebuffButton"}) do
		for i=2, DEBUFF_MAX_DISPLAY do
			if _G[bar..i] then
				movedb(_G[bar..i],"RIGHT",_G[bar..(i-1)],"LEFT",-2,0)
			end
		end
	end
	for i = 1, DEBUFF_MAX_DISPLAY do
		if DebuffButton1 then
			movedb(DebuffButton1,"BOTTOMRIGHT",dvdbframe,"BOTTOMRIGHT",0,0)
		end
		if DebuffButton6 then
			movedb(DebuffButton6,"BOTTOM",DebuffButton1,"TOP",0,14)
		end
		if DebuffButton11 then
			movedb(DebuffButton11,"BOTTOM",DebuffButton6,"TOP",0,14)
		end
		if DebuffButton16 then
			movedb(DebuffButton16,"BOTTOM",DebuffButton11,"TOP",0,14)
		end
		if DebuffButton21 then
			movedb(DebuffButton21,"BOTTOM",DebuffButton16,"TOP",0,14)
		end
		if DebuffButton26 then
			movedb(DebuffButton26,"BOTTOM",DebuffButton21,"TOP",0,14)
		end
		if DebuffButton31 then
			movedb(DebuffButton31,"BOTTOM",DebuffButton26,"TOP",0,14)
		end
		if DebuffButton36 then
			movedb(DebuffButton36,"BOTTOM",DebuffButton31,"TOP",0,14)
		end
		if DebuffButton41 then
			movedb(DebuffButton41,"BOTTOM",DebuffButton36,"TOP",0,14)
		end
	end
end
dvdbframe:SetScript("OnEvent",eventHandler)