--Hide Frames
		MainMenuBarLeftEndCap:Hide()
		MainMenuBarRightEndCap:Hide()

		MainMenuBarTexture0:Hide()
		MainMenuBarTexture1:Hide()
		MainMenuBarTexture2:Hide()
		MainMenuBarTexture3:Hide()	
		
		MainMenuMaxLevelBar0:Hide()
		MainMenuMaxLevelBar1:Hide()
		MainMenuMaxLevelBar2:Hide()
		MainMenuMaxLevelBar3:Hide()

		StanceBarLeft:SetAlpha(0)
		StanceBarMiddle:SetAlpha(0)
		StanceBarRight:SetAlpha(0)

		SlidingActionBarTexture0:SetAlpha(0)
		SlidingActionBarTexture1:SetAlpha(0)	 
		
		ExhaustionLevelFillBar:Hide()
		MainMenuXPBarTextureLeftCap:Hide()
		MainMenuXPBarTextureRightCap:Hide()
		MainMenuXPBarTextureMid:Hide()
		
		MainMenuBarMaxLevelBar:Hide()

		MainMenuMaxLevelBar0:Hide()
		MainMenuMaxLevelBar1:Hide()
		MainMenuMaxLevelBar2:Hide()
		MainMenuMaxLevelBar3:Hide()

		ReputationWatchBarTexture0:SetAlpha(0);
		ReputationWatchBarTexture1:SetAlpha(0);
		ReputationWatchBarTexture2:SetAlpha(0);
		ReputationWatchBarTexture3:SetAlpha(0);

		ReputationXPBarTexture0:SetAlpha(0);
		ReputationXPBarTexture1:SetAlpha(0);
		ReputationXPBarTexture2:SetAlpha(0);
		ReputationXPBarTexture3:SetAlpha(0);

		SpellActivationOverlayFrame:Hide()
		
--Hide XP Bar Art
	for i = 1, 19 do
		local texture = _G["MainMenuXPBarDiv"..i]
			if texture then
				texture:SetAlpha(0)
		end
	end
	
-- DVMainBarFrame to center the main bar on
local mbars=CreateFrame("Frame", "mbars", UIParent)
	mbars:SetClampedToScreen(true)
	mbars:SetPoint("BOTTOM", UIParent, "BOTTOM")
	mbars:SetSize(476,36)

-- DVPetFrame
local dvpetframe=CreateFrame("Frame", "dvpetframe", UIParent)
	dvpetframe:SetFrameStrata("BACKGROUND")
	dvpetframe:SetClampedToScreen(true)
	dvpetframe:SetPoint("BOTTOMLEFT", MultiBarBottomRightButton1, "TOPLEFT", 0, 6)
	dvpetframe:SetMovable(true)
	dvpetframe:EnableMouse(true)
	dvpetframe:RegisterForDrag("RightButton")
	dvpetframe:SetScale(0.84)
	dvpetframe:SetWidth(378)
	dvpetframe:SetHeight(43)

	dvpetframe:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvpetframe:StartMoving() 
			end 
		end)
	dvpetframe:SetScript("OnDragStop", function(self) 
		dvpetframe:StopMovingOrSizing() 
	end)

	local t=dvpetframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvpetframe)
	t:SetTexture(0, 0, 0, 0.7)
	
local function showDVPET(self)
	dvpetframe:SetAlpha(1)
end
     
local function hideDVPET(self)
	dvpetframe:SetAlpha(0)
end

	dvpetframe:HookScript("OnEnter", showDVPET)
	dvpetframe:HookScript("OnLeave", hideDVPET)
	dvpetframe:SetAlpha(0)

-- DVStanceFrame
local dvstanceframe=CreateFrame("Frame", "dvstanceframe", UIParent)
	dvstanceframe:SetFrameStrata("BACKGROUND")
	dvstanceframe:SetClampedToScreen(true)
	dvstanceframe:SetPoint("BOTTOMLEFT", PetActionButton1, "TOPLEFT", 0, 6)
	dvstanceframe:SetMovable(true)
	dvstanceframe:EnableMouse(true)
	dvstanceframe:RegisterForDrag("RightButton")
	dvstanceframe:SetScale(0.84)
	dvstanceframe:SetWidth(226)
	dvstanceframe:SetHeight(43)

	dvstanceframe:SetScript("OnDragStart", function(self) 
		if IsAltKeyDown() then 	
			dvstanceframe:StartMoving() 
		end 
	end)
	dvstanceframe:SetScript("OnDragStop", function(self) 	
		dvstanceframe:StopMovingOrSizing() 
	end)

	local t=dvstanceframe:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dvstanceframe)
	t:SetTexture(0, 0, 0, 0.7)
	
local function showDVOT(self)
	dvstanceframe:SetAlpha(1)
end
     
local function hideDVOT(self)
	dvstanceframe:SetAlpha(0)
end

	dvstanceframe:HookScript("OnEnter", showDVOT)
	dvstanceframe:HookScript("OnLeave", hideDVOT)
	dvstanceframe:SetAlpha(0)
	
-- DVBottom Texture
local dbtexture=CreateFrame("Frame", "dbtexture", UIParent)
	dbtexture:SetClampedToScreen(1)
	dbtexture:SetFrameStrata(BACKGROUND)
	dbtexture:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT")
	dbtexture:SetPoint("BOTTOMRIGHT", UIParent, "BOTTOMRIGHT")
	dbtexture:SetHeight(121)

local t=dbtexture:CreateTexture(nil,"ARTWORK")
	t:SetAllPoints(dbtexture)
	t:SetTexture("Interface\\DialogFrame\\UI-DialogBox-Background")

local mbarspagenumber=CreateFrame("Frame", "MBarsPageNumber", UIParent)
	mbarspagenumber:SetClampedToScreen(1)
	mbarspagenumber:SetFrameStrata(HIGH)
	mbarspagenumber:SetPoint("BOTTOM", mbars, "BOTTOM")
	mbarspagenumber:SetSize(10,36)

local function move(frame,anchorPoint,relativeTo,relativePoint,xoff,yoff)
	frame:ClearAllPoints()
	frame:SetPoint(anchorPoint,relativeTo,relativePoint,xoff,yoff)
end

-- Position anchor buttons for each bar
	move(ActionButton1,"BOTTOMLEFT",mbars,"BOTTOMLEFT",0,0)
	move(MultiBarBottomLeftButton1,"BOTTOMLEFT",ActionButton1,"TOPLEFT",0,6)
	move(MultiBarBottomRightButton1,"BOTTOMLEFT",MultiBarBottomLeftButton1,"TOPLEFT",0,6)
	move(MultiBarRightButton12,"BOTTOMRIGHT", Minimap, "BOTTOMLEFT", 0, 0)
	move(MultiBarLeftButton12,"BOTTOMRIGHT", MultiBarRightButton4, "BOTTOMLEFT", 0, 0)
	move(PetActionButton1,"BOTTOMLEFT", dvpetframe, "BOTTOMLEFT", 0, 0) 
	move(StanceButton1,"BOTTOMLEFT", dvstanceframe, "BOTTOMLEFT", 0, 0)

-- Anchor buttons 2-12 for each bar
	for _,bar in pairs({"ActionButton","MultiBarBottomLeftButton","MultiBarBottomRightButton"}) do
		for i=2,12 do
			move(_G[bar..i],"LEFT",_G[bar..(i-1)],"RIGHT",4,0)
		end
	end

-- Anchor buttons for right side bars
	for _,bar in pairs({"MultiBarRightButton","MultiBarLeftButton"}) do
		for i=1,12 do
			v =_G[bar..i]
			v:SetScale(0.84)
		end
		for i=11,9, -1 do
			move(_G[bar..i],"BOTTOM",_G[bar..(i+1)],"TOP",0,0)
		end
		for i=8,5, -1 do
			move(_G[bar..i],"BOTTOM",_G[bar..(i+1)],"TOP",0,0)
		end
		for i=4,1, -1 do
			move(_G[bar..i],"BOTTOM",_G[bar..(i+1)],"TOP",0,0)
		end
		for i=8,4, -4 do
			move(_G[bar..i],"RIGHT",_G[bar..(i+4)],"LEFT",0,0)
		end
	end

-- Anchor buttons 2-10 for Pet Action bar
	for _,bar in pairs({"PetActionButton"}) do
		for i=2,10 do
			move(_G[bar..i],"LEFT",_G[bar..(i-1)],"RIGHT",2,0)
		end
	end
	
-- Anchor buttons 2-10 for Stance bar
	for _,bar in pairs({"StanceButton"}) do
		for i=2,10 do
			move(_G[bar..i],"LEFT",_G[bar..(i-1)],"RIGHT",2,0)
		end
	end
	
-- Action Bar Up/Down buttons
	move(MainMenuBarPageNumber,"CENTER",mbars,"CENTER",0,0)
	ActionBarUpButton:Hide()
	ActionBarDownButton:Hide()
	
-- Micro Buttons - moved to anchor to bottomright, not sure if you wanted on right
	move(CharacterMicroButton,"BOTTOMLEFT",MultiBarLeftButton1,"TOPLEFT",0,0)

local function showMBB(self)
	for _, v in ipairs(MICRO_BUTTONS) do
		_G[v]:SetAlpha(1)
	end
end

local function hideMBB(self)
	for _, v in ipairs(MICRO_BUTTONS) do
		_G[v]:SetAlpha(0)
	end
end

for _, v in ipairs(MICRO_BUTTONS) do
	v = _G[v]
	v:HookScript("OnEnter", showMBB)
	v:HookScript("OnLeave", hideMBB)
	v:SetAlpha(0)
end

-- XP/Rep Bar
	MainMenuExpBar:SetSize(476,6)
	ReputationWatchBar:SetSize(476,6)
	ReputationWatchStatusBar:SetSize(476,6)

-- anchoring exp bar once; don't think it moves again
	move(MainMenuExpBar,"BOTTOMLEFT",ActionButton1,"TOPLEFT",0,0)

local level = UnitLevel("player")

-- SetPoint expects (self,anchorPoint,relativeTo,relativePoint,xoff,yoff)
-- to prevent this hook calling itself, we attach a custom flag at the end
-- so it knows when not to react to the SetPoint.
	hooksecurefunc(ReputationWatchBar,"SetPoint",function(self,_,_,_,_,_,flag)
		if flag~="mbars" then
			self:ClearAllPoints()
		if level==100 then
			self:SetPoint("BOTTOMLEFT",ActionButton1,"TOPLEFT",0,0,"mbars")
		else
			self:SetPoint("BOTTOMLEFT",MultiBarBottomLeftButton1,"TOPLEFT",0,0,"mbars")
		end
		end
	end)